Skip Menu |
 

This queue is for tickets about the JavaScript CPAN distribution.

Report information
The Basics
Id: 31114
Status: resolved
Priority: 0/
Queue: JavaScript

People
Owner: CLAESJAC [...] cpan.org
Requestors: asw [...] cpan.org
Cc:
AdminCc:

Bug Information
Severity: Wishlist
Broken in: 1.04
Fixed in: 1.05



Subject: doesn't compile against perl 5.6.1
perl 5.6.1 doesn't have HeKUTF8, and possibly others
Download (untitled) / with headers
text/plain 409b
Support for pre-5.8 perl will be dropped in next release since it's been broken for quite some time. Devel::PPPort doesn't seem to define a HeKUTF8 alternative either so I don't see a simple solution to the problem either. In the near future support for pre-1.7 spidermonkey will also be dropped which doesn't support unicode in a correct way. Hope this doesn't cause any problems for you. Cheers, Claes
From: asw [...] cpan.org
Download (untitled) / with headers
text/plain 589b
On Fri Feb 15 05:09:13 2008, CLAESJAC wrote: Show quoted text
> Support for pre-5.8 perl will be dropped in next release since it's > been broken for quite some > time. Devel::PPPort doesn't seem to define a HeKUTF8 alternative > either so I don't see a simple > solution to the problem either. > > In the near future support for pre-1.7 spidermonkey will also be > dropped which doesn't > support unicode in a correct way. > > Hope this doesn't cause any problems for you. > > Cheers, > Claes
It's not a problem for us anymore since we've moved to perl 5.8. feel free to close the bug. cheers Andrew


This service is sponsored and maintained by Best Practical Solutions and runs on Perl.org infrastructure.

Please report any issues with rt.cpan.org to rt-cpan-admin@bestpractical.com.